Account Filters - Create Or Update

Fiókszűrő létrehozása vagy frissítése
Fiókszűrőt hoz létre vagy frissít a Media Services-fiókban.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/accountFilters/{filterName}?api-version=2021-11-01

URI-paraméterek

Name In Required Type Description
accountName
path True
  • string

A Media Services fiók neve.

filterName
path True
  • string

A fiókszűrő neve

resourceGroupName
path True
  • string

Az Azure-előfizetésen belüli erőforráscsoport neve.

subscriptionId
path True
  • string

Egy Microsoft Azure-előfizetés egyedi azonosítója.

api-version
query True
  • string

Az ügyfélkéréshez használni kívánt API verziója.

Kérelem törzse

Name Type Description
properties.firstQuality

Az első minőség.

properties.presentationTimeRange

A bemutató időtartománya.

properties.tracks

A kiválasztási feltételek nyomon követhetők.

Válaszok

Name Type Description
200 OK

OK

201 Created

Létrehozva

Other Status Codes

Részletes hibainformációk.

Példák

Create an Account Filter

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/accountFilters/newAccountFilter?api-version=2021-11-01

{
  "properties": {
    "presentationTimeRange": {
      "startTimestamp": 0,
      "endTimestamp": 170000000,
      "presentationWindowDuration": 9223372036854774806,
      "liveBackoffDuration": 0,
      "timescale": 10000000,
      "forceEndTimestamp": false
    },
    "firstQuality": {
      "bitrate": 128000
    },
    "tracks": [
      {
        "trackSelections": [
          {
            "property": "Type",
            "operation": "Equal",
            "value": "Audio"
          },
          {
            "property": "Language",
            "operation": "NotEqual",
            "value": "en"
          },
          {
            "property": "FourCC",
            "operation": "NotEqual",
            "value": "EC-3"
          }
        ]
      },
      {
        "trackSelections": [
          {
            "property": "Type",
            "operation": "Equal",
            "value": "Video"
          },
          {
            "property": "Bitrate",
            "operation": "Equal",
            "value": "3000000-5000000"
          }
        ]
      }
    ]
  }
}

Sample Response

{
  "name": "newAccountFilter",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/accountFilters/newAccountFilter",
  "type": "Microsoft.Media/mediaservices/accountFilters",
  "properties": {
    "presentationTimeRange": {
      "startTimestamp": 0,
      "endTimestamp": 170000000,
      "presentationWindowDuration": 9223372036854774806,
      "liveBackoffDuration": 0,
      "timescale": 10000000,
      "forceEndTimestamp": false
    },
    "firstQuality": {
      "bitrate": 128000
    },
    "tracks": [
      {
        "trackSelections": [
          {
            "property": "Type",
            "value": "Audio",
            "operation": "Equal"
          },
          {
            "property": "Language",
            "value": "en",
            "operation": "NotEqual"
          },
          {
            "property": "FourCC",
            "value": "EC-3",
            "operation": "NotEqual"
          }
        ]
      },
      {
        "trackSelections": [
          {
            "property": "Type",
            "value": "Video",
            "operation": "Equal"
          },
          {
            "property": "Bitrate",
            "value": "3000000-5000000",
            "operation": "Equal"
          }
        ]
      }
    ]
  }
}
{
  "name": "newAccountFilter",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/accountFilters/newAccountFilter",
  "type": "Microsoft.Media/mediaservices/accountFilters",
  "properties": {
    "presentationTimeRange": {
      "startTimestamp": 0,
      "endTimestamp": 170000000,
      "presentationWindowDuration": 9223372036854774806,
      "liveBackoffDuration": 0,
      "timescale": 10000000,
      "forceEndTimestamp": false
    },
    "firstQuality": {
      "bitrate": 128000
    },
    "tracks": [
      {
        "trackSelections": [
          {
            "property": "Type",
            "value": "Audio",
            "operation": "Equal"
          },
          {
            "property": "Language",
            "value": "en",
            "operation": "NotEqual"
          },
          {
            "property": "FourCC",
            "value": "EC-3",
            "operation": "NotEqual"
          }
        ]
      },
      {
        "trackSelections": [
          {
            "property": "Type",
            "value": "Video",
            "operation": "Equal"
          },
          {
            "property": "Bitrate",
            "value": "3000000-5000000",
            "operation": "Equal"
          }
        ]
      }
    ]
  }
}

Definíciók

AccountFilter

Fiókszűrő.

createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

FilterTrackPropertyCompareOperation

A tulajdonságállapot nyomon követése művelet.

FilterTrackPropertyCondition

Az osztály, amely egy követéstulajdonság feltételét adja meg.

FilterTrackPropertyType

A track tulajdonság típusa.

FilterTrackSelection

A FilterTrackPropertyConditions listájának jelölője egy szám kiválasztásához. A szűrők logikai AND művelettel vannak kombinálva.

FirstQuality

Első minőség szűrése

PresentationTimeRange

A bemutató időtartománya, amely objektumhoz kapcsolódik, és nem ajánlott a fiókszűrőhöz.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

AccountFilter

Fiókszűrő.

Name Type Description
id
  • string

Az erőforrás teljes erőforrás-azonosítója. Például : /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name
  • string

Az erőforrás neve

properties.firstQuality

Az első minőség.

properties.presentationTimeRange

A bemutató időtartománya.

properties.tracks

A kiválasztási feltételek nyomon követhetők.

systemData

Az erőforráshoz kapcsolódó rendszer metaadatai.

type
  • string

Az erőforrás típusa. Például"Microsoft.Compute/virtualMachines" vagy "Microsoft. Storage/storageAccounts"

createdByType

Az erőforrást létrehozó identitás típusa.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Type Description
info
  • object

A további információk.

type
  • string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Type Description
additionalInfo

A hiba további információi.

code
  • string

A hibakód.

details

A hiba részletei.

message
  • string

A hibaüzenet.

target
  • string

A hiba célja.

ErrorResponse

Hibaválasz

Name Type Description
error

A hibaobjektum.

FilterTrackPropertyCompareOperation

A tulajdonságállapot nyomon követése művelet.

Name Type Description
Equal
  • string

Az egyenlő művelet.

NotEqual
  • string

A nem egyenlő művelet.

FilterTrackPropertyCondition

Az osztály, amely egy követéstulajdonság feltételét adja meg.

Name Type Description
operation

A tulajdonságállapot nyomon követése művelet.

property

A track tulajdonság típusa.

value
  • string

A track tulajdonság értéke.

FilterTrackPropertyType

A track tulajdonság típusa.

Name Type Description
Bitrate
  • string

A sávszélesség.

FourCC
  • string

A négy titkos másolat.

Language
  • string

A nyelv.

Name
  • string

A név.

Type
  • string

A típus.

Unknown
  • string

Az ismeretlen track tulajdonságtípus.

FilterTrackSelection

A FilterTrackPropertyConditions listájának jelölője egy szám kiválasztásához. A szűrők logikai AND művelettel vannak kombinálva.

Name Type Description
trackSelections

A kijelölt elemek nyomon követése.

FirstQuality

Első minőség szűrése

Name Type Description
bitrate
  • integer

Az első minőségi sávszélesség.

PresentationTimeRange

A bemutató időtartománya, amely objektumhoz kapcsolódik, és nem ajánlott a fiókszűrőhöz.

Name Type Description
endTimestamp
  • integer

Az abszolút befejezési idő határa.

forceEndTimestamp
  • boolean

A záró időbélyeg meglévő kényszerítésének jelzője.

liveBackoffDuration
  • integer

A végpont jobb széléhez viszonyítva.

presentationWindowDuration
  • integer

A záró tolóablakhoz viszonyítva.

startTimestamp
  • integer

Az abszolút kezdési idő határa.

timescale
  • integer

Az időbélyegek időskálája.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Type Description
createdAt
  • string

Az erőforrás-létrehozás időbélyege (UTC).

createdBy
  • string

Az erőforrást létrehozó identitás.

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt
  • string

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy
  • string

Az erőforrást utoljára módosító identitás.

lastModifiedByType

Az erőforrást utoljára módosító identitás típusa.